Stories
Slash Boxes
Comments
NOTE: use Perl; is on undef hiatus. You can read content, but you can't post it. More info will be forthcoming forthcomingly.

All the Perl that's Practical to Extract and Report

use Perl Log In

Log In

[ Create a new account ]

Thursday November 06, 2003
06:02 PM

Jaguar - Panther without updating perl?

[ #15627 ]

I'd like to upgrade to Panther (Mac OS X), but without the network, I do not want to hork my perl5.8.0.

Anyone have any luck with this?

The Fine Print: The following comments are owned by whoever posted them. We are not responsible for them in any way.
 Full
 Abbreviated
 Hidden
More | Login | Reply
Loading... please wait.
  • I've installed a private perl in /opt (5.8.1) and that still works dandy after upgrading... i never touch the system perl on the mac, so if you changed that one yourself, i'm not sure what happens.
  • Here's the note from the apple site:

    Release notes [apple.com]
    Looks like it should leave old versions where they are while upgrading to 5.8.1, but it might still squash any custom installed stuff.

    So far, I had to re-install HTML::Parser. I think that will be the case for any XS modules.
    • Too bad that they switched to 5.8.1 with ithreads, which won't be binary compatible with any future 5.8.x release with ithreads, unless they back out the changes from 5.8.2 that restored binary compatibility with 5.8.0.
  • Personally I'd recommend waiting for 10.3.1.
    I installed 10.3, and I've been regretting it
    ever since, every time I discover something
    else that's broken. (my printer, Java, etc.)

    I imagine they'll fix all the obvious problems by
    the next release.